{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
{% endblock %}

{% block metaDescription %}"Etat du projet & dernières nouveautés"{% endblock %}

{% block title %}News{% endblock %}

{% block content %}
    <h2>EternalKingdom - Note de mise à jour - 4 Janvier 2025</h2>
    {% if 'staging' in app.request.uri %}
        <br>
        <h3>🧪 Notes à propos de la version "Beta/staging" 🧪</h3>
        <ul>
            <li>
                - Vous jouez actuellement sur la version "Beta/Staging" de <b>EternalKingdom</b> permettant de tester la version <b>{{ 'version' | trans({'%version%' : game_version}, 'Common') }}</b> en avant première.
            </li>
            <li>
                - Veuillez noter que cette version du site n'est pas complètement stable et que des réinitisations de base de données peuvent survenir régulièrement.
            </li>
            <li>
                - Si vous préférez jouer sur une version plus durable, veuillez vous rendre sur <a href="https://kingdom.eternaltwin.org/news">la version "Prod"</a>.
            </li>
        </ul>
    {% endif %}
    <br>
    <h3>⚠️ Notes à tous nos alpha testeurs ⚠️</h3>
    <ul>
        <li>
            - Les tours sont actuellement infinis mais attention ceux-ci vous font vieillir. A partir de 30 ans, votre santé peut se déteriorer!
        </li>
        <li>
            - Il est possible de mettre fin à votre règne immédiatement, l'inactivité a été implémentée mais est pour l'instant désactivée pour simplifier les tests.
        </li>
        <li>
            - Les fonctionnalités qui ne sont pas encore disponibles sont normalement indiqués via un message ou alors affiché au survol.
        </li>
    </ul>

    <br>
    <h3>👑 Etat actuel du jeu</h3>
    <br>
    <p>
        Cette version du jeu vous permet de jouer l'intégralité de la page Ville (à noter que la grille comporte encore quelques soucis mineures).
    </p>
    <p>
        Une fois votre général recruté, vous pourrez explorer la carte, transférer vos unités, vous déplacer et attaquer les territoires ou encore
        récolter de précieuses ressources pour parfaire votre ville.
    </p>
    <br>
    <p>
        <b>
            Il est désormais possible de disputer un territoire avec une bataille. Cependant cette fonctionnalitée est en cours d'implémentation et
            n'est pas encore encore fidèle à l'originale (par exemple il n'est pas possible d'attaquer une capitale occupée).
        </b>
    </p>
    <br>

    <h3> ✨ Changements récents (Alpha 0.6)</h3>
    <br>
    <li>
        - Un système de notification (moins intrustif que le jeu original) a été implémenté pour améliorer la compréhension de vos actions en jeu!
    </li>
    <br>
    <p>
        Concernant les batailles :
    </p>
    <ul>
        <li>
            - Il est possible de déclencher une bataille qui inclueront les garnisons/défenses et généraux fortifiant le lieu.
        </li>
        <li>
            - Le visuel de la bataille est en cours d'intégration. Néanmoins il est désormais possible de visualiser les armées et duels en cours.
        </li>
        <li>
            - Les batailles génèrent désormais des duels permettant aux unités de se battre entre elles.
        </li>
        <li>
            - Les duels prennent en compte les statistiques et capacités de toutes les unités. Ceux-ci sont mis à jour toutes les 2 minutes.
        </li>
        <li>
            - La résolution des batailles prend désormais en compte toutes les unités mortes au combat et les généraux perdants engagés sont désormais tués.
        </li>
    </ul>
    <br>
    <h3> 🔨 Chantiers en cours ou futurs</h3>
    </p>
    <br>
    <ul>
        <li>
            - Aspect visuel d'une bataille & Interaction
        </li>
        <li>
            - Gestion de la réputation des généraux en cas de victoire & morts des généraux en cas de défaite
        </li>
        <li>
            - Gestion de la fuite
        </li>
        <li>
            - Gestion de l'ajout de renfort'
        </li>
    </ul>

    <br>

    <h3>Derniers paths notes: </h3>
    <nav>
        <span>
            <a href="https://eternaltwin.org/forum/threads/0d928521-612b-4224-9d52-5e2a6c735a92">Alpha 6 (En cours)</a>
        </span>
        <span>
            <a href="https://eternaltwin.org/forum/threads/4e7835b0-0577-4dde-9ee2-c3013cb5da96">Alpha 0.5.2</a>
        </span>
        <span>
            <a href="https://eternal-twin.net/forum/threads/9074673d-a530-4780-9fc2-4ebc8743152a">Alpha 0.5.0</a>
        </span>
        <span>
            <a href="https://eternal-twin.net/forum/threads/733e22e2-cbf8-474e-bd28-3183d67a2bc6">Alpha 0.4.0</a>
        </span>
    </nav>

    <br>

    <h3>Comment soutenir le projet?</h3>
    {% if 'staging' not in app.request.uri %}
        <p>
            Si vous souhaitez tester la nouvelle version en avant première, vous pouvez vous rendre sur <a href="https://staging.kingdom.eternaltwin.org/news">la version "Beta/Staging" du site</a> et remonter tout bug rencontré sur le forum ou discord.
        </p>
        <br>
    {% endif %}
    <p>
        Au cas où vous voudriez aider au développement du projet, contactez <b>Bibni</b> sur le channel Kingdom du <a href="https://discord.gg/dp25Hf8fWx">discord Eternaltwin</a>.
    </p>
    <br>
    <p>
        Vous pouvez retrouver tous les détails sur les prochaines étapes en suivant <a href="https://gitlab.com/eternaltwin/kingdom/kingdom/-/wikis/Road-map">ce lien</a>.
    </p>
    <br>
    <p>
        Amusez vous bien :D
    </p>
    <br/>
    <p>
        <b>L'équipe EternalKingdom</b>
    </p>
{% endblock %}